### Function

# Vips cache_operation_build

#### Declaration [src]

    VipsOperation*
    vips_cache_operation_build (
      VipsOperation* operation
    )

#### Description [src]

A binding-friendly version of `vips_cache_operation_buildp()`.

After calling this, `operation` has the same ref count as when it went in, and the result must be freed with `vips_object_unref_outputs()` and `g_object_unref()`.

#### Parameters

`operation`

  Type: `VipsOperation`

  Operation to lookup.

  The data is owned by the caller of the function.

#### Return value

Type: `VipsOperation`

The built operation.

The caller of the function takes ownership of the data, and is responsible for freeing it.